List FacilityAppointments
Body
application/json
Use this endpoint to get a list of FacilityAppointments for a given Facility.
Either a pair of start/end or start_created_at/end_created_at or modified_range must be provided.
startandendqueries for appointments by their respective scheduled start and end times. It will return recurring appointments.start_created_atandend_created_atwill query by the original create date of the appointment, and will only return the first appointment of a recurring appointment series.modified_rangewill return all appointments updated within the range provided.
- Type: stringFormat: uuidfacility
_id required - Type: stringFormat: dateend
full-date notation as defined by RFC 3339, section 5.6, for example, 2017-07-21
- Type: stringFormat: date-timeend
_created _at the date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z
- Type: objectmodified
_range - Type: stringFormat: datestart
full-date notation as defined by RFC 3339, section 5.6, for example, 2017-07-21
- Type: stringFormat: date-timestart
_created _at the date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z
Responses
- application/json
Request Example for post/conduit.v1.get_facility_appointments
curl https://api.getconduit.ai/conduit.v1.get_facility_appointments \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"facility_id": "82d24387-b696-4928-8926-f6f7f16d3353",
"start": "2025-01-01",
"end": "2025-01-08"
}'
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"type": "Inbound",
"loading_type": "Live",
"scheduled_start_time": "2026-06-15T17:33:08.115Z",
"scheduled_end_time": "2026-06-15T17:33:08.115Z",
"status": "Scheduled",
"recurring_facility_appointment": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"repetition_type": "Daily"
},
"order_info": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"reference_id": "string"
}
],
"created_at": "2026-06-15T17:33:08.115Z",
"updated_at": "2026-06-15T17:33:08.115Z",
"is_work_in": false,
"quantity": null,
"units": null,
"carrier": null,
"carrier_email": null,
"carrier_phone": null,
"carrier_driver": null,
"carrier_notes": null,
"shipper_receiver": null,
"dock": null,
"forklift": null,
"trailer_number": null,
"seal_number": null,
"estimated_start_datetime": null,
"load_started_at": "2024-11-01T15:56:50.052000-07:00",
"load_finished_at": "2024-11-01T15:56:50.052000-07:00",
"checked_in_at": null,
"checked_out_at": null,
"cancelled_at": null,
"cancelled_reason": "FACILITY_REJECTED_LOAD",
"cancelled_note": null,
"public_notes": "string",
"notes": "string",
"facility": "123e4567-e89b-12d3-a456-426614174000",
"all_load_types": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "string"
}
]
}
]
